<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>ParametersRoutingModule</li>
</ol>


<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/operation/parameters/parameters-routing.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { NgModule } from &quot;@angular/core&quot;;
import { RouterModule, Routes } from &quot;@angular/router&quot;;
import { ParametersComponent } from &quot;./parameters.component&quot;;
import { RepositoryEditComponent } from &#x27;./repository/repository-edit.component&#x27;;
import { DomainInfluenceEditComponent } from &#x27;./domain-influence/domain-influence-edit.component&#x27;;
import { DocumentEditComponent } from &#x27;./document/document-edit.component&#x27;;
import { TestingCardsLotDetailsComponent } from &#x27;../testing-cards-lot/testing-cards-lot-details/testing-cards-lot-details.component&#x27;;
import { TestingCardsLotListComponent } from &#x27;../testing-cards-lot/testing-cards-lot-list/testing-cards-lot-list.component&#x27;;
import { MilestoneEditComponent } from &#x27;./milestone/milestone-edit.component&#x27;;
import { ParametersEditComponent } from &#x27;./parameter-edit/parameters-edit.component&#x27;;
import { TestingCardsLotResolver } from &#x27;../testing-cards-lot/service/testing-cards-lot.resolver&#x27;;
import { BaseEditComponent } from &#x27;./base/base-edit.component&#x27;;
import { AuthorizationGuard } from &#x27;../../core/service/http/authorization.service&#x27;;
import { ManagementEntityEditComponent } from &#x27;./management-entity/edit/management-entity-edit.component&#x27;;
import { ConfirmBeforeQuitGuard } from &#x27;../../core/confirm-before-quit&#x27;;
import { BallotDocumentationEditComponent } from &#x27;./ballot-documentation/ballot-documentation-edit.component&#x27;;
import { ElectionPagePropertiesEditComponent } from &#x27;./election-page-properties/election-page-properties-edit.component&#x27;;
import { ElectionPagePropertiesModelResolver } from &#x27;./election-page-properties/services/election-page-properties.resolver&#x27;;
import { ElectionPagePropertiesModelEditComponent } from &#x27;./election-page-properties/election-page-properties-model-edit.component&#x27;;
import { VotingSiteConfigurationComponent } from &#x27;./voting-site-configuration/edit/voting-site-configuration.component&#x27;;

const routes: Routes &#x3D; [
  {
    path: &#x27;edit&#x27;,
    component: ParametersEditComponent,
    children: [
      {
        path: &#x27;base&#x27;,
        component: BaseEditComponent,
        canDeactivate: [ConfirmBeforeQuitGuard]
      },
      {
        path: &#x27;milestone&#x27;,
        component: MilestoneEditComponent,
        canDeactivate: [ConfirmBeforeQuitGuard]
      },
      {
        path: &#x27;ballot-documentation&#x27;,
        component: BallotDocumentationEditComponent,
        canDeactivate: [ConfirmBeforeQuitGuard]
      },
      {
        path: &#x27;domain-influence&#x27;,
        component: DomainInfluenceEditComponent,
        canDeactivate: [ConfirmBeforeQuitGuard]
      },
      {
        path: &#x27;repository&#x27;,
        component: RepositoryEditComponent,
        canDeactivate: [ConfirmBeforeQuitGuard]
      },
      {
        path: &#x27;document&#x27;,
        component: DocumentEditComponent,
        canDeactivate: [ConfirmBeforeQuitGuard]
      },
      {
        path: &#x27;management-entity&#x27;,
        component: ManagementEntityEditComponent
      },
      {
        path: &#x27;voting-site-configuration&#x27;,
        component: VotingSiteConfigurationComponent,
        canDeactivate: [ConfirmBeforeQuitGuard]
      },
      {
        path: &#x27;election-page-properties&#x27;,
        children: [
          {
            path: &#x27;model/create&#x27;,
            component: ElectionPagePropertiesModelEditComponent,
            canDeactivate: [ConfirmBeforeQuitGuard]
          },
          {
            path: &#x27;model/:modelId&#x27;,
            resolve: {
              model: ElectionPagePropertiesModelResolver
            },
            component: ElectionPagePropertiesModelEditComponent,
            canDeactivate: [ConfirmBeforeQuitGuard]
          },
          {
            path: &#x27;&#x27;,
            component: ElectionPagePropertiesEditComponent
          }
        ]
      },
      {
        path: &#x27;testing-card-lot&#x27;,
        children: [
          {
            path: &#x27;create&#x27;,
            component: TestingCardsLotDetailsComponent,
            data: {
              forConfiguration: true
            },
            canDeactivate: [ConfirmBeforeQuitGuard]
          },
          {
            path: &#x27;:voterTestingCardsLotId&#x27;,
            component: TestingCardsLotDetailsComponent,
            resolve: {
              voterTestingCardsLot: TestingCardsLotResolver,
            },
            data: {
              forConfiguration: true
            },
            canDeactivate: [ConfirmBeforeQuitGuard]
          },
          {
            path: &#x27;&#x27;,
            component: TestingCardsLotListComponent,
            data: {
              forConfiguration: true
            }
          },
        ]
      },

    ],
    canActivate: [AuthorizationGuard],
    canActivateChild: [AuthorizationGuard]
  },
  {
    path: &#x27;&#x27;,
    component: ParametersComponent,
    canActivate: [AuthorizationGuard],
    canActivateChild: [AuthorizationGuard]
  }
];

/**
 * Routing module for the parameters page.
 */
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ParametersRoutingModule {
}
</code></pre>
    </div>
</div>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'ParametersRoutingModule.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
